<?php 

namespace App\Controller\Web;

class ProductController 
{
    /**
     * $config.
     *
     * @var array
     */	
	protected $config;

	public function __construct()
	{
		$this->config = config('product');
	}	

	/**
	 * 首頁
	 */
	public function index()
	{
		// Data
		$products = \DB::table($this->config['table'])
					->where([ ['act', 1], ['del', 0] ])
				   	->orderBy('no', 'desc')
				   	->orderBy('id', 'asc')
				   	->get();		  
 
		$view = \View::make("web.{$this->config['folder']}.index", compact( 'products' ))->render();

		return \Response::create($view)->send();
	}

	 

	/**
	 * 資料內頁
	 */
	public function detail($id)
	{
	    //
	    $products = \DB::table($this->config['table'])
					->where([ ['act', 1], ['del', 0] ])
				   	->orderBy('no', 'desc')
				   	->orderBy('id', 'asc')
				   	->get();

		// Data
	    $data = \DB::table($this->config['table'])
	    		   ->where([['id', $id], ['act', 1], ['del', 0]])
	    		   ->first();
		
		//pics
 		$pics_data= \DB::table($this->config['pics_table'])
					  ->where([['pid', $id], ['del', 0]])
					  ->orderBy('no','desc')
					  ->orderBy('id','asc')					  
					  ->get();	    	   

	    $view = \View::make("web.{$this->config['folder']}.detail", compact( 'products' , 'data' , 'pics_data' ))->render();

	    return \Response::create($view)->send();	
	}
}